#
# spec file for package smugbatch
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           smugbatch
Version:        007
Release:        bp153.1.16
Summary:        Tools for smugmug.com
License:        GPL-2.0
Group:          Productivity/Graphics/Other
Url:            http://github.com/gregkh/smugbatch/tree/master
Source:         gregkh-%{name}-%{version}-0-g4e9c3fa.tar.gz
Patch1:         nsl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1020
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif

%description
This collection of tools allows you to list, upload, and download images from
smugmug.com from a command line.  They are for use with Linux systems and
hopefully should be able to be easily called by other tools to interact with
smugmug.com where needed.

%prep
%setup -q -n gregkh-smugbatch-4e9c3fa
%patch1 -p0

%build
make %{?_smp_mflags} V=1 CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_prefix}/bin
install -m 0755 smugdown smugup smugls %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 smugls.1 smugup.1 %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root)
%doc RELEASE-NOTES COPYING ChangeLog
%{_mandir}/man1/*%{ext_man}
%{_bindir}/smug*

%changelog
* Mon Sep 25 2017 aj@suse.com
- Add nsl.patch to remove unused libnsl to fix building on Factory.
* Wed Mar 28 2012 aj@suse.de
- Update to v007:
  - smugbatch: Add missing prototype.
  - smugbatch: Avoid buffer overflow
  - smug_login: fix a memory leak
- Remove merged patch.
* Sun Mar 25 2012 aj@suse.de
- Fix buffer overflow during login (bnc#753945).
* Fri Jul 29 2011 aj@suse.de
- Update to v006:
  * includes smugbatch-api1.2.2.patch to support smugmug 1.2.2 api
  * bugfixes
* Sat Dec 11 2010 aj@suse.de
- cleanup spec file with spec-cleaner.
* Sat Dec 11 2010 aj@suse.de
- Support new smugmug API 1.2.2
* Fri Dec 19 2008 prusnak@suse.cz  
- fixed build
- added manpages
* Thu Dec 11 2008 aj@suse.de
- Update to version 005:
  Ability to create the album to upload to if it is not already present
  - many thanks to troy for this feature
* Sun Jul 27 2008 aj@suse.de
- Update to version 004:
  lots of minor fixes
* Sun May 18 2008 aj@suse.de
- Update to version 003:
  added ability to have a config file for password and user id
  added smugdown, seems to work for public albums, not for private yet
  - -quiet option to all apps.
  smugls actually works properly now.
* Thu May  1 2008 aj@suse.de
- Initial build version.
